Package org.globus.axis.transport

# Class SSLContextHelper

java.lang.Object
org.globus.axis.transport.SSLContextHelper

public class SSLContextHelper extends Object
This is meant to be used on a SOAP Client to call a SOAP server.
This code is based on Axis HTTPSender.java code.

## Constructor Summary

Constructors
Constructor
Description
`SSLContextHelper(String host, int port, Authorization auth, Boolean anonymous, GSSCredential cred, Integer protection, TrustedCertificates trustedCerts)`
`SSLContextHelper(org.apache.axis.MessageContext msgContext, String host, int port)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`init(String host, int port, Authorization auth, Boolean anonymous, GSSCredential cred, Integer protection, TrustedCertificates trustedCerts)`
`GssSocket`
`wrapSocket(Socket socket)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SSLContextHelper

public SSLContextHelper(org.apache.axis.MessageContext msgContext, String host, int port) throws GSSException

Throws:
  `GSSException`

### SSLContextHelper

public SSLContextHelper(String host, int port, Authorization auth, Boolean anonymous, GSSCredential cred, Integer protection, TrustedCertificates trustedCerts) throws GSSException

Throws:
  `GSSException`

## Method Details

### init

protected void init(String host, int port, Authorization auth, Boolean anonymous, GSSCredential cred, Integer protection, TrustedCertificates trustedCerts) throws GSSException

Throws:
  `GSSException`

### wrapSocket

public GssSocket wrapSocket(Socket socket)